# docker compose port

<!---MARKER_GEN_START-->
Prints the public port for a port binding

### Options

| Name         | Type     | Default | Description                                             |
|:-------------|:---------|:--------|:--------------------------------------------------------|
| `--dry-run`  | `bool`   |         | Execute command in dry run mode                         |
| `--index`    | `int`    | `0`     | Index of the container if service has multiple replicas |
| `--protocol` | `string` | `tcp`   | tcp or udp                                              |


<!---MARKER_GEN_END-->

## Description

Prints the public port for a port binding
